/* Display for the the sandbox.
   Copyright (C) 2006 Carl Fredrik Hammar (hammy.lite@gmail.com)

   This file is part of GP2X Sand.

   GP2X Sand is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   GP2X Sand is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
   General Public License for more details. 

   You should have received a copy of the GNU General Public License along
   with GP2X Sand; if not, write to the Free Software Foundation, Inc., 51
   Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA */

#ifndef DISPLAY_H
#define DISPLAY_H

#include "SDL.h"

/* This module is responsible for displaying the contents of the sandbox
   to a surface, most likely the screen surface. */

/* Initialize the sandbox display to use the surface pointed to by
   SURFACE_PTR.  WIDTH and HEIGHT are the width and height of the
   surface.  SURFACE_PTR mustn't be null. */
void
sandbox_display_init (SDL_Surface *surface_ptr, int width, int height)
  __attribute__ ((nonnull));

/* Updates the display, drawing the contents of the sandbox to the
   surface assigned to the display. */
void
sandbox_display_update ();

#endif /* not DISPLAY_H */
